/* $Id: pgheader.h,v 1.7 2008/03/15 13:43:29 nanardon Exp $ */

#include <fmgr.h>
#include <rpm/header.h>

struct pgds_s {
    rpmTag tag;
    Header h;
    const char ** Name;
    int Nametype;
    int Namecount;
    const int_32 * Flags;
    int Flagstype;
    int Flagscount;
    const char ** EVR;
    int EVRtype;
    int EVRcount;
    uint_32 * Color;
};

typedef struct pgds_s * pgds_t;

bytea * headergetDatum(Header h);

Header Datumgetheader(bytea * in, int * size);

Datum header_in(PG_FUNCTION_ARGS);

Datum header_out(PG_FUNCTION_ARGS);

Datum headerfromfile(PG_FUNCTION_ARGS);

Datum header_queryformat(PG_FUNCTION_ARGS);

Datum header_gettagn(PG_FUNCTION_ARGS);

Datum header_query(PG_FUNCTION_ARGS);

Datum header_files_query(PG_FUNCTION_ARGS);

Datum header_deps_query(PG_FUNCTION_ARGS);

Datum header_size(PG_FUNCTION_ARGS);

Datum header_hastag(PG_FUNCTION_ARGS);
